summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_dashboards.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-02 17:59:35 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-02 17:59:35 +0200
commit4c3a59da9cb0f84ca5c44dba7671e3c7537d1540 (patch)
tree31bd84303a272ae597362d8753299bd53cf964f8 /bin/reproducible_html_dashboards.sh
parent009cdd3a58de031bc01247994f0feb8352290906 (diff)
downloadjenkins.debian.net-4c3a59da9cb0f84ca5c44dba7671e3c7537d1540.tar.xz
reproducible: point out how many 'binNMU's are missing
Diffstat (limited to 'bin/reproducible_html_dashboards.sh')
-rwxr-xr-xbin/reproducible_html_dashboards.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/reproducible_html_dashboards.sh b/bin/reproducible_html_dashboards.sh
index e16999c0..fbe26a99 100755
--- a/bin/reproducible_html_dashboards.sh
+++ b/bin/reproducible_html_dashboards.sh
@@ -352,6 +352,10 @@ create_main_stats_page() {
write_page "<tr><td>packages <a href=\"/index_repositories.html\">modified in our toolchain</a> (in unstable)</td><td>$(echo $RESULT)</td></tr>"
RESULT=$(cat /srv/reproducible-results/modified_in_exp.txt || echo "unknown") # written by reproducible_html_repository_comparison.sh
write_page "<tr><td>&nbsp;&nbsp;- (in experimental)</td><td>$(echo $RESULT)</td></tr>"
+ RESULT=$(cat /srv/reproducible-results/binnmus_needed.txt || echo "unknown") # written by reproducible_html_repository_comparison.sh
+ if [ "$RESULT" != "0" ] ; then
+ write_page "<tr><td>packages in our repo which need \"binNMU\"s<br />(work in progress)</td><td>$(echo $RESULT)</td></tr>"
+ fi
write_page "</table>"
# write bugs with usertags table
write_usertag_table